<?php

namespace app\admin\controller\student;

use app\common\controller\Backend;
use app\common\model\Config as ConfigModel;

/**
 * sim-考试表/成绩总分
 *
 * @icon fa fa-circle-o
 */
class Exam extends Backend
{

    /**
     * Exams模型对象
     * @var \app\admin\model\teacher\Exams
     */
    protected $model = null;
    protected $whereExtend = null;

    public function _initialize()
    {
        parent::_initialize();
        $this->model = new \app\admin\model\teacher\Exams;
        $groupIds = $this->auth->getGroupIds();
        //学员查看自己的
        if(in_array(8, $groupIds)){
            $this->whereExtend['user_id'] = $this->auth->id;
        }
        $this->assignconfig("groupIds", $groupIds[0]);
//        $this->assignConfig('sim_exam_status', ConfigModel::getSimExamStatus());
    }



    /**
     * 默认生成的控制器所继承的父类中有index/add/edit/del/multi五个基础方法、destroy/restore/recyclebin三个回收站方法
     * 因此在当前控制器中可不用编写增删改查的代码,除非需要自己控制这部分逻辑
     * 需要将application/admin/library/traits/Backend.php中对应的方法复制到当前控制器,然后进行修改
     */


}
